Skala
Product recipes

List all product recipes

Fetches a complete list of product recipe records available in the system.

GET
/api/product_recipes

Fetches a complete list of product recipe records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

product.id?integer
product.id[]?array<>
isNeedRecalculate?boolean
isNeedRecalculate[]?array<>
order[items.id]?string
Default"asc"
Value in"asc" | "desc"

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/product_recipes"
[
  {
    "id": 0,
    "cost": "string",
    "product": {
      "id": 0,
      "name": "string",
      "category": {
        "id": 0,
        "name": "string"
      },
      "unit": {
        "id": 0,
        "name": "string"
      },
      "currency": {
        "id": 0,
        "name": "string",
        "code": "string",
        "symbol": "string"
      },
      "isMaking": true,
      "isBuying": true,
      "unitConversion": 1
    },
    "items": [
      {}
    ],
    "isNeedRecalculate": true
  }
]